> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dari.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Activity Overview

> Usage, spend, savings, tokens, cache, model mix, key sources, and API-key activity.

<ParamField header="Authorization" type="string" required>
  `Bearer` plus a Management API key.
</ParamField>

<ParamField query="from" type="string" required>RFC 3339 range start, inclusive.</ParamField>
<ParamField query="to" type="string" required>RFC 3339 range end, exclusive.</ParamField>
<ParamField query="router_id" type="string">Limit to one router.</ParamField>
<ParamField query="api_key_id" type="array">API key ID filter. Repeatable.</ParamField>
<ParamField query="user_id" type="array">Attributed user ID filter. Repeatable.</ParamField>
<ParamField query="model" type="array">Model ID filter. Repeatable.</ParamField>
<ParamField query="provider" type="string">Provider filter.</ParamField>
<ParamField query="status" type="string">`completed`, `provider_error`, `selector_error`, or `aborted`.</ParamField>
<ParamField query="key_source" type="string">`user`, `managed`, or `subscription`.</ParamField>
<ParamField query="source_scope" type="string">`openai_chat`, `openai_responses`, `anthropic_messages`, comma-separated, `all`, or `none`.</ParamField>
<ParamField query="bucket_seconds" type="integer">`60`, `300`, `900`, `1800`, `86400`, `604800`, or `2592000`.</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.dari.dev/v1/organizations/current/routing/activity/overview?from=2026-07-01T00:00:00Z&to=2026-07-08T00:00:00Z&bucket_seconds=86400" \
    -H "Authorization: Bearer $DARI_API_KEY"
  ```
</RequestExample>

The response contains `summary`, `series`, `model_mix`, `api_keys`, and `key_sources`. Activity ranges cannot exceed 366 days or 1000 time buckets.

```bash theme={null}
dari activity overview --from 2026-07-01T00:00:00Z --to 2026-07-08T00:00:00Z
```
